VMware Horizon 7.12 Composer Server Sistem Gereksinimleri

Horizon Composer, yeterli performans sağlamak ve Linked-clone oluşturma ve bakım işlemlerini sorunsuz bir şekilde yapabilmek için minimum sunucu yapılandırması gerektirir. Bu bölümde Horizon Composer için donanım gereksinimlerine değineceğiz.

Horizon Composer uygulamasının özel gereksinimleri vardır. Horizon Composer için ayrılmış sanal veya fiziksel sunucu kullanabilirsiniz. Aşağıdaki tabloda Horizon Composer rolü için en az ve önerilen sistem kaynakları yer almaktadır. Diğer birçok yazılım platformunda olduğu gibi, Horizon Composer’ın en iyi performansı göstermesini sağlamak için önerilen yönergelere mutlaka uyulmalıdır.

BileşenlerMinimum Sistem GereksinimleriÖnerilen / Desteklenen Yapılandırmalar
İşlemci1.4 Ghz yada daha hızlı işlemci en az 2 çekirdek2 Ghz yada daha hızlı işlemci en az 4 çekirdek
Network100 Bbps Ağ Bağlantısı1 Gbps Ağ Bağlantısı
RAM4 GB RAM50 veya daha fazla dağıtım için 8 GB veya daha fazla RAM
Disk40 GB60 GB
  • VMware Composer uygulamasını bu iş için adanmış bir sanal yada fiziksel sunucuya yükleyeceğiniz gibi, Windows Server işletim sistemi tabanlı bir vCenter Sunucusu üzerine doğrudan da yükleyebilirsiniz. Günümüzde özelliklede en yaygın kullanılan tür vCenter Server Appliance’dır. vCenter Server Appliance Linux tabanlı ve Composer yazılımı Windows tabanlı olduğundan, vCenter Server Appliance’a yüklenemez. Bu sebepten dolayı bağımsız bir VMware Composer sunucu kullanmak durumunda kalabilirsiniz.
  • VMware Composer Server’da mutlaka statik IPv4 tanımlı olmalıdır.
  • Desteklenen Windows Server işletim sistemi kullanılmalıdır. VMware Horizon 7.12 Composer Server tarafından desteklenen işletim sistemi sürümleri ve özellikleri aşağıdaki gibidir.
  • Windows Server 2008 R2 SP1 Standard Edition
  • Windows Server 2008 R2 SP1 Enterprise Edition
  • Windows Server 2012 R2 Datacenter Edition
  • Windows Server 2012 R2 Standard Edition
  • Windows Server 2012 R2 Datacenter Edition
  • Windows Server 2016 Standard Edition
  • Windows Server 2016 Datacenter Edition
  • Windows Server 2019 Standard Edition
  • Windows Server 2019 Datacenter Edition

Not : Service Pack olmayan Windows Server 2008 R2 artık desteklenmemektedir.

  • İşletim sisteminin bölge ve dil ayarları mutlaka “English (United States)” olmalıdır.
  • Windows İşletim sistemi mutlaka güvenlik ve kritik update’leri güncel olmalıdır.
  • Windows Server 2016 ve Windows Server 2019 işletim sistemlerinde “Secure Boot” özelliği devre dışı olmalıdır.  Bu özelliği devre dışı bırakmak için Microsoft un resmi web sitesinde yayınlanan “Disabling Secure Boot” makalesinden yararlanabilirsiniz.
  • VMware Composer sunucusunun yönetim kolaylığı ve izinlerde sorunlar yaşanmaması için Active Directory ortamına dahil ediniz.
  • Veritabanı gereksinimlerinin karşılanması için mutlaka desteklenen SQL Server sürümleri kullanılmalı. Composer Server üzerinde ODBC bağlantısı yapılandırılmalıdır. Bu işlemi gerçekleştirmek için “VMware Horizon 7.12 Composer Server için MS SQL Server Veritabanı Yapılandırması” makalesini incelemenizi tavsiye ederim.